=== debian/changelog ===
recoll (1.39.0-1) unstable; urgency=low

  * New upstream release:
    + Fix FTBFS (Closes: #1073334)
  * debian/control, debian/rules:
    + Added new binaries: librecoll and librecoll-dev
    + Updated to the new meson build system from upstream.
  * New upstream URL, updated relevant files.
  * debian/copyright:
    + Updated to match metadata license, no other changes.
  * debian/recollcmd.lintian-overrides:
    + Removed. Unused override.

 -- Kartik Mistry <kartik@debian.org>  Tue, 25 Jun 2024 23:07:50 +0530
