## recoll 1.41.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -104,8 +104,9 @@
     "Build with QtWebEngine (instead of QtWebKit)" ON)
 option(RECOLL_ENABLE_LIBMAGIC
     "Enable libmagic (avoids 'file' command requirement)" OFF)
-option(RECOLL_QT6_BUILD "Build using Qt6" OFF)
+option(RECOLL_QT6_BUILD "Build using Qt6" ON)
 option(RECOLL_ENABLE_SYSTEMD "Install systemd unit files (linux only)" ON)
+option(RECOLL_QTGUI "Build GUI" ON)
 
 if (RECOLL_QT6_BUILD)
     set(QT_MAJOR_VERSION 6)
@@ -113,7 +114,7 @@
     set(CMAKE_CXX_STANDARD_REQUIRED ON)
 else()
     set(QT_MAJOR_VERSION 5)
-    set(CMAKE_CXX_STANDARD 14)
+    set(CMAKE_CXX_STANDARD 17)
     set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
@@ -132,14 +133,17 @@
     bincimapmime/mime-parsefull.cc
     bincimapmime/mime-parseonlyheader.cc
     bincimapmime/mime-printbody.cc
-    bincimapmime/mime-utils.h
     bincimapmime/mime.cc
     bincimapmime/mime.h
     common/webstore.cpp
     common/webstore.h
-    common/conf_post.h
+    common/cjksplitter.cpp
+    common/cjksplitter.h
+    common/cnsplitter.cpp
+    common/cnsplitter.h
     common/cstr.cpp
     common/cstr.h
+    common/kosplitter.cpp
     common/rclconfig.cpp
     common/rclconfig.h
     common/rclinit.cpp
@@ -147,7 +151,6 @@
     common/syngroups.cpp
     common/syngroups.h
     common/textsplit.cpp
-    common/textsplitko.cpp
     common/textsplit.h
     common/unacpp.cpp
     common/unacpp.h
@@ -285,8 +288,6 @@
     utils/cpuconf.cpp
     utils/cpuconf.h
     utils/damlev.h
-    utils/dlib.cpp
-    utils/dlib.h
     utils/ecrontab.cpp
     utils/ecrontab.h
     utils/execmd.cpp
@@ -339,9 +340,6 @@
     utils/x11mon.h
     utils/zlibut.cpp
     utils/zlibut.h
-    xaposix/safefcntl.h
-    xaposix/safesysstat.h
-    xaposix/safesyswait.h
     xaposix/safeunistd.h
     )
 
@@ -476,3 +474,4 @@
     qtgui/mtpics/folder.png
     qtgui/mtpics/html.png
     qtgui/mtpics/image.png
+    qtgui/mtpics/message.png
