=== debian/changelog ===
recoll (1.41.1-1.1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:59:00 +0000

recoll (1.41.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary Build-Depends: libqt5webkit5-dev. (Closes: #1093792)

 -- Bastian Germann <bage@debian.org>  Wed, 22 Jan 2025 20:15:47 +0100

recoll (1.41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + librecoll39-dev: Added 'Breaks: recollcmd (<< 1.36.1-1)' relation
      (Closes: #1074451)
    + Updated to Standards-Version 4.7.0

 -- Kartik Mistry <kartik@debian.org>  Tue, 17 Dec 2024 12:57:31 +0530
