=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                libaspell-dev,
                libchm-dev,
                libmagic-dev,
-               libqt5webkit5-dev,
                libx11-dev,
                libxapian-dev,
                libxslt1-dev,
@@ -25,7 +24,7 @@
 Vcs-Git: https://salsa.debian.org/debian/recoll.git
 Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: https://www.recoll.org
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: recoll
@@ -60,7 +59,7 @@
 Architecture: any
 Breaks: recollgui (<< 1.28.5-1)
 Replaces: recollgui (<< 1.28.5-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}, librecoll39 (= ${binary:Version})
+Depends: librecoll39 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: aspell, python3, python3-recoll, xdg-utils, xsltproc
 Suggests: antiword,
           djvulibre-bin,
@@ -79,7 +78,6 @@
           python3-mutagen,
           python3-py7zr,
           python3-rarfile,
-          python3-six,
           unrtf,
           untex,
           wv
@@ -99,8 +97,8 @@
 Package: python3-recoll
 Architecture: any
 Section: python
-Depends: python3,
-         librecoll39 (= ${binary:Version}),
+Depends: librecoll39 (= ${binary:Version}),
+         python3,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -114,7 +112,8 @@
 Package: librecoll39
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: recollcmd (<< 1.36.1-1)
 Multi-Arch: same
 Description: Base library for recoll and related extensions
  This package contains the base code interfacing with Xapian and is used by the
@@ -123,7 +122,7 @@
 Package: librecoll39-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, librecoll39 (= ${binary:Version})
+Depends: librecoll39 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Development files for librecoll
  This package  contains the development files for librecoll package, which is
