## recoll 1.43.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -82,12 +82,31 @@
 
 cmake_minimum_required(VERSION 3.25)
 
-# Load version from text file
+# Load versions from text files
 file(READ "RECOLL-VERSION.txt" VERSION_FILE_VERSION)
 string(STRIP "${VERSION_FILE_VERSION}" VERSION_FILE_VERSION)
+# Strip trailing version strings like "X.Y.ZpreN" that CMake doesn't support
+string(REGEX REPLACE
+    "^([0-9]+\\.[0-9]+\\.[0-9]+).*$" "\\1"
+    RECOLL_VERSION "${VERSION_FILE_VERSION}"
+)
+file(READ "RECOLL-SOVERSION.txt" RECOLL_SOVERSION)
+string(STRIP "${RECOLL_SOVERSION}" RECOLL_SOVERSION)
+
+set(_parse_state
+    "VERSION_FILE_VERSION=${VERSION_FILE_VERSION}, \
+    RECOLL_VERSION=${RECOLL_VERSION}, \
+    RECOLL_SOVERSION=${RECOLL_SOVERSION}")
+string(LENGTH "${RECOLL_VERSION}" _rcl_ver_len)
+string(LENGTH "${RECOLL_SOVERSION}" _rcl_sover_len)
+if (_rcl_ver_len LESS_EQUAL 0 OR _rcl_sover_len LESS_EQUAL 0)
+    message(FATAL_ERROR
+        "Failed to parse version files!\nGot: ${_parse_state}")
+endif()
+message(DEBUG "Got: ${_parse_state}")
 
 project(recoll
-    VERSION ${VERSION_FILE_VERSION}
+    VERSION ${RECOLL_VERSION}
     LANGUAGES CXX C)
 
 # For our custom Find modules
@@ -148,6 +167,8 @@
     common/rclconfig.h
     common/rclinit.cpp
     common/rclinit.h
+    common/rclutil.cpp
+    common/rclutil.h
     common/syngroups.cpp
     common/syngroups.h
     common/textsplit.cpp
@@ -155,8 +176,6 @@
     common/unacpp.cpp
     common/unacpp.h
     common/uproplist.h
-    common/utf8fn.cpp
-    common/utf8fn.h
     index/webqueuefetcher.cpp
     index/webqueuefetcher.h
     index/checkretryfailed.cpp
@@ -241,6 +260,7 @@
     rcldb/rclabstract.cpp
     rcldb/rclabsfromtext.cpp
     rcldb/rcldb.cpp
+    rcldb/rclndb.cpp
     rcldb/rcldb.h
     rcldb/rcldb_p.h
     rcldb/rcldoc.cpp
@@ -321,8 +341,6 @@
     utils/pxattr.h
     utils/rclionice.cpp
     utils/rclionice.h
-    utils/rclutil.h
-    utils/rclutil.cpp
     utils/readfile.cpp
     utils/readfile.h
     utils/smallut.cpp
@@ -432,6 +450,7 @@
     filters/rclocrtesseract.py
     filters/rclopxml.py
     filters/rclorgmode.py
+    filters/rclpages.py
     filters/rclpdf.py
     filters/rclppt.py
     filters/rclps
@@ -446,32 +465,3 @@
     filters/rcltex
     filters/rcltext.py
     filters/rcluncomp
-    filters/rcluncomp.py
-    filters/rclwar.py
-    filters/rclxls.py
-    filters/rclxml.py
-    filters/rclxmp.py
-    filters/rclxslt.py
-    filters/rclzip.py
-    filters/recoll-we-move-files.py
-    filters/recollepub.zip
-    filters/svg.xsl
-    filters/thunderbird-open-message.sh
-    filters/xls-dump.py
-    filters/xlsxmltocsv.py
-    filters/xml.xsl
-    )
-
-set(mtpics_files
-    qtgui/mtpics/aptosid-book.png
-    qtgui/mtpics/aptosid-manual.png
-    qtgui/mtpics/archive.png
-    qtgui/mtpics/book.png
-    qtgui/mtpics/bookchap.png
-    qtgui/mtpics/document.png
-    qtgui/mtpics/drawing.png
-    qtgui/mtpics/emblem-symbolic-link.png
-    qtgui/mtpics/folder.png
-    qtgui/mtpics/html.png
-    qtgui/mtpics/image.png
-    qtgui/mtpics/message.png
