=== meson_options.txt ===
--- 
+++ 
@@ -41,15 +41,19 @@
        description: 'recollindex support for X11 session monitoring (needs Xlib)')
 option('file-command', type: 'string', value: 'file',
        description: 'file type identification command to use by default. This is normally defined in the config')
-option('aspell', type: 'boolean', value: 'true',
+option('aspell', type: 'boolean', value: true,
        description: 'Use the aspell program and/or library for spelling approximations')
-option('inotify', type: 'boolean', value: 'true',
+option('inotify', type: 'boolean', value: true,
        description: 'Use inotify for monitoring file changes')
-option('fam', type: 'boolean', value: 'false',
+option('fam', type: 'boolean', value: false,
        description: 'Use fam for monitoring file changes')
-option('qtzeitgeist', type: 'boolean', value: 'false',
+option('fsevents', type: 'boolean', value: true,
+       description: 'Use Apple fsevents API for monitoring file changes')
+option('qtzeitgeist', type: 'boolean', value: false,
        description: 'Use the qt zeitgeist library for generating zeitgeist events')
-option('systemd', type: 'boolean', value: 'true',
+option('appimage', type: 'boolean', value: false,
+       description: 'build for inclusion in an AppImage')
+option('systemd', type: 'boolean', value: true,
        description: 'Install the systemd unit files')
 # Was supplied in configure.ac 'pkg-config --variable systemd_system_unit_dir systemd'
 option('systemd-system-unit-dir', type: 'string', value:'/usr/lib/systemd/system',
@@ -62,3 +66,7 @@
 # Not sure it makes sense to fix this.
 #option('userdoc', type: 'boolean', value: true,
 #       description: 'Build the user manual (needs docbook xml/xsl files and TeX tools)')
+option('aspell_include_dir', type: 'string', value:'',
+                             description: 'Specify the aspell include directory (if not found in the system include directories).')
+option('chm_include_dir', type: 'string', value:'',
+                          description: 'Specify the chm include directory (if not found in the system include directories).')
