=== debian/changelog ===
recoll (1.43.0-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 06:06:01 +0200

recoll (1.43.0-1) unstable; urgency=low

  * New upstream release:
    + Fix FTBFS with gcc-15 (Closes: #1097781)
  * Refreshed blhc.diff patch.
  * Updated debian/copyright.
  * Updated to Standards-Version 4.7.2

 -- Kartik Mistry <kartik@debian.org>  Tue, 25 Mar 2025 17:48:42 +0530
